#!/usr/local/bin/perl -w
#
# Synopsis: Globally replace a string with another, 
#           in all specified files.
#
# Created:  95/07/15, Mario Ruggier <ruggier@ptsun00.cern.ch>
# Modified: 97/01/16, Mario Ruggier <ruggier@ptsun00.cern.ch>

foreach $x (0,1,2)  { 
    if ( length($ARGV[$x]) == 0 ) { &usage(); }
}

$mStr=$ARGV[0];
$rStr=$ARGV[1];

shift(@ARGV);
shift(@ARGV);

foreach $IFILE (@ARGV) {

	open(I,$IFILE) || die "Can't open $IFILE:$!\n";

	$OFILE = $IFILE . ".tmp"; 
	open(O,"> " . $OFILE) || die "Can't open $OFILE:$!\n";

	while (<I>) {
		s/$mStr/$rStr/g;
		print O $_;
	}
	close(I);
	close(O);
	rename($OFILE,$IFILE);
}

##################################################################

sub usage {
    die <<"EndUsage";

$0:
Globally replace a string with another, in all specified files.
NOTE: no quotes allowed inside the command line string parameters.

USAGE:
$0 <match string> <replace with string> <file [<file> [...]]>

EXAMPLE:
$0 "<BODY>" "<BODY BGCOLOR=#F0F0E8>" *.html

EndUsage
}
